Subject: bug#63288: 30.0.50; Emacs 30 packages fail to build with native comp on some machines

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Jan 2025 17:04:03 +0200

> Date: Tue, 14 Jan 2025 20:38:07 +0100
> From: [email-masked]
> 
> I'm currently reproducing this bug, is there anyway I can help? I can confirm that calling
> `package-read-from-string' fails when starting emacs. After manually evaluating the defun again, it works
> okay.

The file etc/DEBUG has some advice about debugging native-compiled
Lisp, under "Debugging problems with native-compiled Lisp".  Could you
please follow that and post here the results?

I'm adding Andrea to the discussion.